Download voor Linux

De nieuwste versie van calibre is 5.27.0. Wat is er nieuw.

Gebruik a.u.b. niet het door uw distributie geleverde calibre pakket, aangezien dat vaak buggy/verouderd is. Gebruik in de plaats de onder beschreven binaire installatie.

Binaire installatie

calibre heeft een binaire installatie die privéversies van al zijn afhankelijkheden bevat. Het werkt op 32-bits en 64-bits Intel-compatibele machines. Om te installeren of te upgraden, kopieer gewoon de volgende opdracht in een terminal en drukt u op Enter:

Terwijl u wacht tot het downloaden is voltooid, overweeg aub om bij te dragen aan de ontwikkeling van calibre.

Notitie

  • Als u een fout krijgt door een niet-vertrouwd certificaat betekent dit dat uw computer geen rootcertificaten geïnstalleerd heeft en dus het installatieprogramma niet veilig kan downloaden. Als u toch wilt doorgaan, geef de --no-check-certificate optie door aan wget, zoals dit:
  • U moet xdg-utils, wget, xz-utils en python ≥ 2.6 op uw systeem hebben voordat u het installatieprogramma uitvoert.
  • U kan calibre deïnstalleren met sudo calibre-uninstall. Als alternatief, de installatie map wissen verwijdert 99% van de geïnstalleerde bestanden.
  • U hebt GLIBC 2.18 of hoger en libstdc ++.so.6.0.21 (vanaf gcc 5.4.0) of hoger nodig voor calibre
  • Als u de fout Could not load the Qt platform plugin xcb krijgt, mist u enkele noodzakelijke X11-XCB bibliotheken, zoals libxcb-xinerama0, zie hier voor details.
  • Zo kan u de map waarin calibre geïnstalleerd wordt veranderen van de standaard (/opt): Verander /opt boven naar eender welke map waarin u calibre automatisch wil installeren.
  • U kan ook een "geïsoleerde" installatie doen die alleen bestanden in de installatiemap raakt en niet als root moet gedaan worden, zo:

Terugkeren naar een vorige versie

U kunt een eerdere calibre versie installeren, zo: Wijzig 4.23.0 boven in de versie die u wilt installeren.

Handmatige binaire installatie

Wilt u terug naar een eerdere versie van calibre of handmatig een calibre upgrade downloaden, download dan de tarball van die versie van hier (kies de 32-bits of 64-bits versie, zoals nodig). Ervan uitgaande dat u calibre in /opt/calibre wilt, voer de volgende opdracht uit en wijzig het pad naar calibre-tarball.txz hieronder, zoals nodig:


Broninstallatie

WAARSCHUWING: calibre is zeer complexe software met veel nauw luisterende afhankelijkheden. Als u installeert vanaf de bron staat u er alleen voor. Open aub geen bugrapporten en verwacht geen ondersteuning. U bent gewaarschuwd.

Als u nog steeds vanaf de bron wil installeren, lees dan verder:

  1. Zorg ervoor dat Python 3 op uw systeem geïnstalleerd is.
  2. Installeer de verschillende onderstaande afhankelijkheden
  3. Voer de volgende opdrachten uit in een terminal:


Afhankelijkheden

De up-to-date lijst van afhankelijkheden waarmee de officiële binairies van calibre gebundeld zijn, is te zien op sources.json. Hoewel calibre kan werken met andere versies van afhankelijkheden dan vermeld in de lijst, wordt het niet getest/ondersteund. Naast die afhankelijkheden zijn er verschillende vereisten tijdens het bouwen, zoals pkg-config, een C/C ++ compiler, enzovoort.

Kies de gewenste taal